# IRegisteredTest

sealed interface IRegisteredTest : Test (source)

#### Inheritors

RegisteredTest

## Properties

excludedProperty
Link copied to clipboard
open val excludedProperty : String
excludedProperty2
Link copied to clipboard
open val excludedProperty2 : Boolean
id
Link copied to clipboard
abstract val id : TestId
parent
Link copied to clipboard
@Serializable
@SerialName(value = "custom_parent_name")
abstract val parent : ParentTypeId ?
property1
Link copied to clipboard
abstract val property1 : String
property2
Link copied to clipboard
abstract val property2 : Int

## Functions

asNew
Link copied to clipboard
fun Test . asNew (): NewTest
asRegistered
Link copied to clipboard
fun Test . asRegistered (id: TestId ): RegisteredTest